summaryrefslogtreecommitdiffstats
path: root/bin/reproducible_openwrt.sh
diff options
context:
space:
mode:
authorHolger Levsen <holger@layer-acht.org>2015-12-14 02:37:22 +0100
committerHolger Levsen <holger@layer-acht.org>2015-12-14 02:37:22 +0100
commit8c44156c6d602e6fa607284328d268db0af65345 (patch)
treea4d21477d7fddcfaeda09cc525534de03de245c7 /bin/reproducible_openwrt.sh
parent0e808e56083b0415642d2e291867e43cbc9d6764 (diff)
downloadjenkins.debian.net-8c44156c6d602e6fa607284328d268db0af65345.tar.xz
reproducible coreboot/openwrt/netbsd: stop being too nice (as these jobs only run rarely on nodes which are constantly busy with rpms and archlinux)
Diffstat (limited to 'bin/reproducible_openwrt.sh')
-rwxr-xr-xbin/reproducible_openwrt.sh24
1 files changed, 8 insertions, 16 deletions
diff --git a/bin/reproducible_openwrt.sh b/bin/reproducible_openwrt.sh
index 20eff869..2ec583c5 100755
--- a/bin/reproducible_openwrt.sh
+++ b/bin/reproducible_openwrt.sh
@@ -73,10 +73,8 @@ openwrt_build_toolchain() {
echo "$(date -u) - Building the toolchain."
echo "============================================================================="
- ionice -c 3 nice \
- make -j $NUM_CPU tools/install
- ionice -c 3 nice \
- make -j $NUM_CPU toolchain/install
+ ionice -c 3 make -j $NUM_CPU tools/install
+ ionice -c 3 make -j $NUM_CPU toolchain/install
}
openwrt_build() {
@@ -88,18 +86,12 @@ openwrt_build() {
echo "============================================================================="
echo "$(date -u) - Building OpenWrt ${OPENWRT_VERSION} ($TARGET) - $RUN build run."
echo "============================================================================="
- ionice -c 3 nice \
- $MAKE $OPTIONS target/compile
- ionice -c 3 nice \
- $MAKE $OPTIONS package/cleanup
- ionice -c 3 nice \
- $MAKE $OPTIONS package/compile || true # don't let some packages fail the whole build
- ionice -c 3 nice \
- $MAKE $OPTIONS package/install
- ionice -c 3 nice \
- $MAKE $OPTIONS target/install V=s || true
- ionice -c 3 nice \
- $MAKE $OPTIONS package/index || true # don't let some packages fail the whole build
+ ionice -c 3 $MAKE $OPTIONS target/compile
+ ionice -c 3 $MAKE $OPTIONS package/cleanup
+ ionice -c 3 $MAKE $OPTIONS package/compile || true # don't let some packages fail the whole build
+ ionice -c 3 $MAKE $OPTIONS package/install
+ ionice -c 3 $MAKE $OPTIONS target/install V=s || true
+ ionice -c 3 $MAKE $OPTIONS package/index || true # don't let some packages fail the whole build
}
openwrt_cleanup() {